org.apache.ignite.internal.managers.indexing

## Class GridIndexingManager

- java.lang.Object
- - org.apache.ignite.internal.managers.GridManagerAdapter<IndexingSpi>
  - - org.apache.ignite.internal.managers.indexing.GridIndexingManager

All Implemented Interfaces:
  GridComponent, GridManager

    public class GridIndexingManager
    extends GridManagerAdapter<IndexingSpi>

Manages cache indexing.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.ignite.internal.GridComponent

`GridComponent.DiscoveryDataExchangeType`

### Field Summary

### Fields inherited from class org.apache.ignite.internal.managers.GridManagerAdapter

`ctx, log`

### Constructor Summary

Constructors
Constructor and Description
`GridIndexingManager(GridKernalContext ctx)`

### Method Summary

Methods
`protected void` `onKernalStop0(boolean cancel)`
`void` `onSwap(String spaceName, Object key)` Will be called when entry for key will be swapped.
`void` `onUnswap(String spaceName, Object key, Object val)` Will be called when entry for key will be unswapped.
`IgniteSpiCloseableIterator<?>` `query(String space, Collection<Object> params, IndexingQueryFilter filters)`
`void` `remove(String space, Object key)`
`void` `start()` Starts grid component.
`void` `stop(boolean cancel)` Stops grid component.
`<K,V> void` `store(String space, K key, V val, long expirationTime)` Writes key-value pair to index.

### Methods inherited from class org.apache.ignite.internal.managers.GridManagerAdapter

`assertParameter, collectDiscoveryData, discoveryDataType, enabled, getSpi, getSpi, getSpis, onAfterSpiStart, onBeforeSpiStart, onDisconnected, onDiscoveryDataReceived, onKernalStart, onKernalStart0, onKernalStop, onReconnected, printMemoryStats, startInfo, startSpi, stopInfo, stopSpi, toString, validateNode`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GridIndexingManager

    public GridIndexingManager(GridKernalContext ctx)

Parameters:
  `ctx` - Kernal context.

### Method Detail

#### start

    public void start()
               throws IgniteCheckedException

Description copied from interface: `GridComponent`
Starts grid component.

Throws:
  `IgniteCheckedException` - Thrown in case of any errors.

#### onKernalStop0

    protected void onKernalStop0(boolean cancel)

Overrides:
  `onKernalStop0` in class `GridManagerAdapter<IndexingSpi>`
Parameters:
  `cancel` - Cancel flag.

#### stop

    public void stop(boolean cancel)
              throws IgniteCheckedException

Description copied from interface: `GridComponent`
Stops grid component.

Parameters:
  `cancel` - If `true`, then all ongoing tasks or jobs for relevant components need to be cancelled.
Throws:
  `IgniteCheckedException` - Thrown in case of any errors.

#### store

    public <K,V> void store(String space,
                   K key,
                   V val,
                   long expirationTime)
               throws IgniteCheckedException

Writes key-value pair to index.

Parameters:
  `space` - Space.
  `key` - Key.
  `val` - Value.
  `expirationTime` - Expiration time or 0 if never expires.
Throws:
  `IgniteCheckedException` - In case of error.

#### remove

    public void remove(String space,
              Object key)
                throws IgniteCheckedException

Parameters:
  `space` - Space.
  `key` - Key.
Throws:
  `IgniteCheckedException` - Thrown in case of any errors.

#### query

    public IgniteSpiCloseableIterator<?> query(String space,
                                      Collection<Object> params,
                                      IndexingQueryFilter filters)
                                        throws IgniteCheckedException

Parameters:
  `space` - Space.
  `params` - Parameters collection.
  `filters` - Filters.
Returns:
  Query result.
Throws:
  `IgniteCheckedException` - If failed.

#### onSwap

    public void onSwap(String spaceName,
              Object key)
                throws IgniteSpiException

Will be called when entry for key will be swapped.

Parameters:
  `spaceName` - Space name.
  `key` - key.
Throws:
  `IgniteSpiException` - If failed.

#### onUnswap

    public void onUnswap(String spaceName,
                Object key,
                Object val)
                  throws IgniteSpiException

Will be called when entry for key will be unswapped.

Parameters:
  `spaceName` - Space name.
  `key` - Key.
  `val` - Value.
Throws:
  `IgniteSpiException` - If failed.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.7.0
Release Date | : August 1 2016